# Uses of Interface
org.eclipse.birt.report.model.api.IResourceLocator

Packages that use IResourceLocator
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of IResourceLocator in org.eclipse.birt.report.model.api

Classes in org.eclipse.birt.report.model.api that implement IResourceLocator
Modifier and Type
Class
Description
`class`
`DefaultResourceLocator`
The default implementation for interface `IResourceLocator`.
Methods in org.eclipse.birt.report.model.api that return IResourceLocator
Modifier and Type
Method
Description
`IResourceLocator`
DesignConfig.`getResourceLocator()`
`IResourceLocator`
ModuleOption.`getResourceLocator()`
Gets the resource locator.
Methods in org.eclipse.birt.report.model.api with parameters of type IResourceLocator
Modifier and Type
Method
Description
`void`
DesignConfig.`setResourceLocator(IResourceLocator resourceLocator)`
`void`
ModuleOption.`setResourceLocator(IResourceLocator locator)`
Sets the resource locator.